%define with_test 0
Name:          uncommons-maths
Version:       1.2.2
Release:       %mkrel 2
Summary:       Random number generators library for Java
Group:         Development/Java
License:       ASL 2.0
Url:           http://maths.uncommons.org/
# mkdir -p uncommons-maths-1.2.2
# git clone git://github.com/dwdyer/uncommons-maths.git
# cd uncommons-maths
# git archive Release-1.2.2 | tar -x -C ../uncommons-maths-1.2.2
# cd ..
# tar czf uncommons-maths-1.2.2-src-git.tar.gz uncommons-maths-1.2.2
Source0:       uncommons-maths-1.2.2-src-git.tar.gz

BuildRequires: java-devel
BuildRequires: jpackage-utils
BuildRequires: ant

BuildRequires: jcommon
BuildRequires: jfreechart
#BuildRequires: maven-ant-tasks
BuildRequires: testng
BuildRequires: uncommons-antlib
%if %with_test
BuildRequires: apache-commons-collections
BuildRequires: apache-commons-lang
BuildRequires: beust-jcommander
BuildRequires: bsh2
BuildRequires: cobertura
BuildRequires: jakarta-oro
BuildRequires: liblog4j-java
BuildRequires: objectweb-asm
BuildRequires: reportng
BuildRequires: velocity
%endif

Requires:      jcommon
Requires:      jfreechart
Requires:      testng

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Uncommons Maths library provides five easy-to-use, statistically sound,
high-performance pseudorandom number generators (RNGs).

%package demo
Summary:       Samples for %{name}
Group:         Development/Java
Requires:      %{name} = %version-%release
Requires:      jpackage-utils

%description demo
This package contains samples for %{name}.

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q
#for j in $(find . -name "*.jar"); do
#  mv $j $j.no
#done

find . -iname '*.jar' -delete
find . -iname '*.class' -delete

pushd lib
  pushd compiletime
%if %with_test
    ln -sf $(build-classpath cobertura) cobertura/cobertura.jar
    ln -sf $(build-classpath objectweb-asm/asm) cobertura/asm-3.0.jar.no
    ln -sf $(build-classpath objectweb-asm/asm-tree) cobertura/asm-tree-3.0.jar
    ln -sf $(build-classpath oro) cobertura/jakarta-oro-2.0.8.jar
    ln -sf $(build-classpath log4j) cobertura/log4j-1.2.9.jar
    ln -sf $(build-classpath beust-jcommander) testng/
    ln -sf $(build-classpath bsh2/bsh) testng/
    ln -sf $(build-classpath commons-collections) testng/
    ln -sf $(build-classpath commons-lang) testng/
    ln -sf $(build-classpath reportng) testng/reportng-1.1.2.jar
    ln -sf $(build-classpath velocity) testng/velocity-dep-1.4.jar
%endif
    ln -sf $(build-classpath testng) testng/testng-5.13.1.jar
#    mv maven/maven-ant-tasks-2.0.10.jar.no maven/maven-ant-tasks-2.0.10.jar
#    ln -sf $(build-classpath maven-ant-tasks) maven/maven-ant-tasks-2.0.10.jar
    ln -sf $(build-classpath uncommons-antlib) uncommons-antlib-0.3.1.jar
  popd
  pushd runtime
    ln -sf $(build-classpath jcommon) jcommon-1.0.12.jar
    ln -sf $(build-classpath jfreechart/jfreechart) jfreechart-1.0.8.jar
  popd
popd

rm -rf lib/compiletime/diehard/*
# lib/compiletime/diehard/input.txt
# lib/compiletime/diehard/operm5.cov

sed -i "s|<version>@VERSION@</version>|<version>%{version}</version>|" core/pom.xml
#sed -i 's|classpath="${artifact.identifier}.jar jfreechart-1.0.8.jar jcommon-1.0.12.jar"||' build.xml

%build

ant

ant \
%if %with_test
  test \
%endif
  docs

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 core/build/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -pm 644 demo/build/%{name}-demo-%{version}.jar %{buildroot}%{_javadir}/%{name}-demo.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 core/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr docs/api/* %{buildroot}%{_javadocdir}/%{name}

%post
%update_maven_depmap

%preun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc CHANGELOG.txt LICENCE.txt NOTICE.txt

%files demo
%{_javadir}/%{name}-demo.jar

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.2.2-2.mga3
+ Revision: 385059
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 21 2011 gil <gil> 1.2.2-1.mga2
+ Revision: 170447
- imported package uncommons-maths

